Allwinner sun4i low res adc attached tablet keys
------------------------------------------------

Required properties:
 - compatible: "allwinner,sun4i-a10-lradc-keys"
 - reg: mmio address range of the chip
 - interrupts: interrupt to which the chip is connected
 - vref-supply: powersupply for the lradc reference voltage

Each key is represented as a sub-node of "allwinner,sun4i-a10-lradc-keys":

Required subnode-properties:
	- label: Descriptive name of the key.
	- linux,code: Keycode to emit.
	- channel: Channel this key is attached to, must be 0 or 1.
	- voltage: Voltage in µV at lradc input when this key is pressed.

Example:

#include <dt-bindings/input/input.h>

	lradc: lradc@01c22800 {
		compatible = "allwinner,sun4i-a10-lradc-keys";
		reg = <0x01c22800 0x100>;
		interrupts = <31>;
		vref-supply = <&reg_vcc3v0>;

		button@191 {
			label = "Volume Up";
			linux,code = <KEY_VOLUMEUP>;
			channel = <0>;
			voltage = <191274>;
		};

		button@392 {
			label = "Volume Down";
			linux,code = <KEY_VOLUMEDOWN>;
			channel = <0>;
			voltage = <392644>;
		};

		button@601 {
			label = "Menu";
			linux,code = <KEY_MENU>;
			channel = <0>;
			voltage = <601151>;
		};

		button@795 {
			label = "Enter";
			linux,code = <KEY_ENTER>;
			channel = <0>;
			voltage = <795090>;
		};

		button@987 {
			label = "Home";
			linux,code = <KEY_HOMEPAGE>;
			channel = <0>;
			voltage = <987387>;
		};
	};
